TakenAt: 2014-12-02T00:47:25Z
TakenSrc: meta
UID: pqbcevet8i58qw0m
Type: image
Title: Building / Cuba / 2014
TimeZone: America/Havana
PlaceSrc: meta
Lat: 23.116608
Lng: -82.37274
Year: 2014
Month: 12
Day: 1
ISO: 400
Exposure: 1/15
FNumber: 2.2
FocalLength: 29
Quality: 4
Details:
  Keywords: brown, building, cruz, cuba, demo, havana, padre
CreatedAt: 2020-06-03T09:11:38Z
UpdatedAt: 2021-02-21T21:37:11.977788261Z
